<?php
// $Id: vk_openapi.admin.inc,v 1.4 2010/05/19 19:26:54 romka Exp $
function vk_openapi_admin_settings () {
  global $base_url;
  
  $form['global'] = array(
    '#type' => 'fieldset',
    '#title' => t('vKontakte API settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
    
  $form['global']['vk_openid_app_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Application ID'),
    '#description' => t('Enter your Application ID'),
    '#default_value' => variable_get('vk_openid_app_id', ''),
  );
  
  $form['global']['vk_openid_secret_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Secret key'),
    '#description' => t('Enter your secret key'),
    '#default_value' => variable_get('vk_openid_secret_key', ''),
  );
  
  $form['global']['vk_openid_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Site URL'),    
    '#default_value' => variable_get('vk_openid_url', "http://" . $base_url . base_path()),
  );
  
  $form['global']['vk_openid_base_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Base URL'),
    '#default_value' => variable_get('vk_openid_base_url', $base_url . base_path()),
  );
  
  $form['global']['vk_openid_redirect_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Redirect URL'),
    '#default_value' => variable_get('vk_openid_redirect_url', ""),
  );
  
  $form['global']['vk_openid_alter_login_form'] = array(
    '#type' => 'select',
    '#title' => t('Show vKontakte button on login form'),
    '#default_value' => variable_get('vk_openid_alter_login_form', 1),
    '#options' => array(
      '0' => t('Do not add vKontakte button to login form'),
      '1' => t('Add vKontakte button to login form'),
    ),
  );

  $form['new_user_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('New user settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['new_user_settings']['vk_openid_username'] = array(
    '#type' => 'textfield',
    '#title' => t('Mask for new user name.'),
    '#description' => t('You may use following tokens: %first_name, %last_name, %nickname.'),
    '#default_value' => variable_get('vk_openid_username', '%first_name "%nickname" %last_name'),
  );
  
  $form['new_user_settings']['vk_openid_allow_users_unite_accounts'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow users unite accounts.'),
    '#description' => t('Allow users unite own vkontakte account account on Drupal-site.'),
    '#default_value' => variable_get('vk_openid_allow_users_unite_accounts', 1),
  );

  $form['new_user_settings']['vk_openid_oblige_users_to_enter_email'] = array(
    '#type' => 'checkbox',
    '#title' => t('Oblige users to enter e-mail.'),
    '#description' => t('If checked then user will receive message with request to enter e-mail.'),
    '#default_value' => variable_get('vk_openid_oblige_users_to_enter_email', 0),
  );

  
  $form = system_settings_form($form);
  return $form;
} 